Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 739180 - dev-libs/librelp-1.7.0 fails tests
Summary: dev-libs/librelp-1.7.0 fails tests
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Thomas Deutschmann
URL: https://github.com/rsyslog/librelp/is...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-27 05:17 UTC by Agostino Sarubbo
Modified: 2020-09-01 09:26 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,72.52 KB, text/plain)
2020-08-27 05:17 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-27 05:17:24 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-libs/librelp-1.7.0 fails tests.
Discovered on: amd64 (internal ref: ci)

NOTE:
This machine uses GLIBC-2.32. If you think that this issue is strictly related to GLIBC please block bug 736174.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-27 05:17:27 UTC
Created attachment 656984 [details]
build.log

build log and emerge --info
Comment 2 Thomas Deutschmann gentoo-dev Security 2020-08-27 16:17:38 UTC
Known, caused by missing files in tarball.
Comment 3 Larry the Git Cow gentoo-dev 2020-09-01 09:26:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a0a2fd3b8553589bfedf711ad962a3f54c9194a

commit 6a0a2fd3b8553589bfedf711ad962a3f54c9194a
Author:     Thomas Deutschmann <whissi@gentoo.org>
AuthorDate: 2020-09-01 09:25:01 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-09-01 09:25:47 +0000

    dev-libs/librelp: add missing files for tests
    
    Closes: https://bugs.gentoo.org/739180
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 .../files/librelp-1.7.0-missing-files.patch        | 180 +++++++++++++++++++++
 dev-libs/librelp/librelp-1.7.0.ebuild              |   2 +
 2 files changed, 182 insertions(+)